Bug 1053692 - After slelecting keyboard console shell still uses US keyboard.
Summary: After slelecting keyboard console shell still uses US keyboard.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1160904 1165264 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-15 16:21 UTC by Jean Francois Martinez
Modified: 2015-06-29 14:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:28:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Jean Francois Martinez 2014-01-15 16:21:56 UTC
Description of problem:
Installing in graphical mode, selected french keyboard, switched to a text console and found console was still using US keyboard.  This worked in old anaconda

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Install in graphic mode
2. Select french keyboard
3. Switch to the shell console

Actual results:
Type a 'q' and you will get a q.  That means console is still using US keuyboard  (Actually I am assumming the tester's physical keyboard is an American one.) 

Expected results:
Typing a 'q' and geting an 'a'   

Additional info:

Comment 1 David Shea 2014-11-06 12:38:45 UTC
*** Bug 1160904 has been marked as a duplicate of this bug. ***

Comment 2 David Shea 2014-11-18 17:02:10 UTC
*** Bug 1165264 has been marked as a duplicate of this bug. ***

Comment 3 Leslie Satenstein 2014-11-18 21:23:16 UTC
Just a single point of clarification

At the end of the software installation, anaconda begins the bootloader creation process and installs root and user logons.  It is only at this step that the shell keyboard layout is set to correspond to the anaconda/Gnome selected version.

The shell keyboard resetting should occur before the first package is downloaded, so that if there was a download error, we could use the shell to create copies of the logs, etc.

Comment 4 Leslie Satenstein 2015-02-13 22:02:07 UTC
release note could indicate that user should perform
s
localectl set keymap xx   (xx=your keboard code )

Comment 5 Leslie Satenstein 2015-03-08 06:02:12 UTC
Ditto for Fedora 22 RC3. March 8 2015
Switching to terminal while anaconda is running shows US keyboard
I resolved problem as per comment 4

Comment 6 Leslie Satenstein 2015-03-23 12:45:42 UTC
appears corrected with Fedora 22 Beta tc3 21Mar2015_ and F21.

Comment 7 Fedora End Of Life 2015-05-29 10:31:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-29 14:28:44 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.